changeset 9391:f91466f94f23

* tests/test-yesno.sh: Silence stderr during test. Signed-off-by: Eric Blake <ebb9@byu.net>
author Eric Blake <ebb9@byu.net>
date Mon, 22 Oct 2007 09:39:27 -0600
parents e6944904022b
children 3a9abfe32c11
files ChangeLog tests/test-yesno.sh
diffstat 2 files changed, 7 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+2007-10-22  Eric Blake  <ebb9@byu.net>
+
+	* tests/test-yesno.sh: Silence stderr during test.
+
 2007-10-22  Simon Josefsson  <simon@josefsson.org>
 
 	* modules/crypto/gc-camellia: New file.
--- a/tests/test-yesno.sh
+++ b/tests/test-yesno.sh
@@ -4,7 +4,7 @@
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 p=t-yesno-
-tmpfiles="${p}in.tmp ${p}xout.tmp ${p}out.tmp"
+tmpfiles="${p}in.tmp ${p}xout.tmp ${p}out.tmp ${p}err.tmp"
 
 # For now, only test with C locale
 LC_ALL=C
@@ -49,8 +49,9 @@
 cmp ${p}xout.tmp ${p}out.tmp || exit 1
 
 # Test for behavior when stdin is closed
-./test-yesno${EXEEXT} 0 <&- > ${p}out.tmp && exit 1
+./test-yesno${EXEEXT} 0 <&- > ${p}out.tmp 2> ${p}err.tmp && exit 1
 cmp ${p}xout.tmp ${p}out.tmp || exit 1
+test -s ${p}err.tmp || exit 1
 
 # Cleanup
 rm -fr $tmpfiles